%define	name	libmodplug
%define	version	0.8.8.1
%define epoch 1 
%define major 1
%define libname %mklibname modplug %major
%define develname %mklibname -d modplug

Name:		%{name}
Summary:	Modplug music player
Version:	%{version}
Release:	%mkrel 1
License:	Public Domain
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/modplug-xmms/%name-%{version}.tar.gz
Epoch: %epoch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Olivier Lapicque, author of Modplug, which is arguably the best quality
MOD-playing software available, has placed his sound rendering code in the
public domain.  This library and plugin is based on that code.

It can play 22 different mod formats, including:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

%package -n %{libname}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n %{libname}
This is the shared library part of the Modplug music player.

%package -n %develname
Group:		Development/C++
Summary:	Header files for compiling against Modplug library
Provides:	%name-devel = %epoch:%version-%release
Requires:	%{libname} = %epoch:%version-%release
Obsoletes:	%mklibname -d modplug 0

%description -n %develname
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/libmodplug.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc AUTHORS TODO ChangeLog
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/libmodplug/
%_libdir/pkgconfig/*.pc




%changelog
* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1:0.8.8.1-1mdv2011.0
+ Revision: 550265
- new version
- new major

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.8.7-2mdv2010.1
+ Revision: 520885
- rebuilt for 2010.1

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 1:0.8.7-1mdv2010.0
+ Revision: 369048
- update to new version 0.8.7

* Mon Apr 20 2009 Götz Waschk <waschk@mandriva.org> 1:0.8.6-1mdv2009.1
+ Revision: 368354
+ rebuild (emptylog)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:0.8.4-4mdv2009.0
+ Revision: 222932
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.8.4-3mdv2008.1
+ Revision: 178966
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1:0.8.4-1mdv2008.0
+ Revision: 27216
- new version
- drop merged patch


* Sat Dec 30 2006 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2007.0
+ Revision: 102883
- new version
- Import libmodplug

* Sat Dec 30 2006 Gtz Waschk <waschk@mandriva.org> 0.7-8mdv2007.1
- security fix for CVE-2006-4192

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.7-7mdk
- Rebuild
- use mkrel

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-6mdk
- from Michael Collard some x86_64 fixes

* Sat Jun 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-5mdk
- source URL
- new g++

* Tue Mar 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- support mdk 9.0

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- fix deps of the devel package

